# Generated by Django 2.2.3 on 2021-05-03 03:41

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('models', '0029_auto_20210416_1307'),
    ]

    operations = [
        migrations.CreateModel(
            name='Technician',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('name', models.CharField(help_text='varchar(100), required*', max_length=100, verbose_name='Tecnico')),
                ('service_orders', models.IntegerField(blank=True, help_text='int', null=True, verbose_name='Orden de Servicio')),
                ('node', models.ForeignKey(blank=True, help_text='int (FK) models.Node', null=True, on_delete=django.db.models.deletion.PROTECT, to='models.Node', verbose_name='Nodo')),
            ],
            options={
                'verbose_name': 'Técnico',
                'verbose_name_plural': 'Técnicos',
                'ordering': ['-id'],
            },
        ),
        migrations.CreateModel(
            name='HistoricalTechnician',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('name', models.CharField(help_text='varchar(100), required*', max_length=100, verbose_name='Tecnico')),
                ('service_orders', models.IntegerField(blank=True, help_text='int', null=True, verbose_name='Orden de Servicio')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('node', models.ForeignKey(blank=True, db_constraint=False, help_text='int (FK) models.Node', null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='models.Node', verbose_name='Nodo')),
            ],
            options={
                'verbose_name': 'historical Técnico',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
    ]
